### Class

# WebKit2 InstallMissingMediaPluginsPermissionRequest

#### Description [src]

    class WebKit2.InstallMissingMediaPluginsPermissionRequest : GObject.Object {
      parent: GObject
    }

A permission request for installing missing media plugins.

WebKitInstallMissingMediaPluginsPermissionRequest represents a request for permission to decide whether WebKit should try to start a helper application to install missing media plugins when the media backend couldn’t play a media because the required plugins were not available.

When a WebKitInstallMissingMediaPluginsPermissionRequest is not handled by the user, it is allowed by default.

Available since: | 2.10

#### Ancestors

- GObject

#### Implements

- WebKitPermissionRequest

#### Instance methods

###### webkit_install_missing_media_plugins_permission_request_get_description

Gets the description about the missing plugins.

Available since: 2.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from WebKitPermissionRequest (2)

###### webkit_permission_request_allow

Allow the action which triggered this request.

###### webkit_permission_request_deny

Deny the action which triggered this request.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2InstallMissingMediaPluginsPermissionRequestClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.
`_webkit_reserved0` |
    void (* _webkit_reserved0) (
    void
      )
| No description available.
`_webkit_reserved1` |
    void (* _webkit_reserved1) (
    void
      )
| No description available.
`_webkit_reserved2` |
    void (* _webkit_reserved2) (
    void
      )
| No description available.
`_webkit_reserved3` |
    void (* _webkit_reserved3) (
    void
      )
| No description available.